Skip to main content
POST
/
v2
/
{entity}
/
{project}
/
scorers
Scorer Create
curl --request POST \
  --url https://api.example.com/v2/{entity}/{project}/scorers \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "op_source_code": "<string>",
  "description": "<string>"
}
'
import requests

url = "https://api.example.com/v2/{entity}/{project}/scorers"

payload = {
"name": "<string>",
"op_source_code": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', op_source_code: '<string>', description: '<string>'})
};

fetch('https://api.example.com/v2/{entity}/{project}/scorers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "digest": "<string>",
  "object_id": "<string>",
  "version_index": 123,
  "scorer": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

entity
string
required
project
string
required

Body

application/json
name
string
required

The name of this scorer. Scorers with the same name will be versioned together.

op_source_code
string
required

Complete source code for the Scorer.score op including imports

description
string | null

A description of this scorer

Response

Successful Response

digest
string
required

The digest of the created scorer

object_id
string
required

The ID of the created scorer

version_index
integer
required

The version index of the created scorer

scorer
string
required

Full reference to the created scorer